Bug 58691 - ping units changed - add option to specify unit
ping units changed - add option to specify unit
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-23 00:00 EST by Mikel Ward
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-25 10:47:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikel Ward 2002-01-23 00:00:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
Under Red Hat Linux 6.2, ping would typically report ping times in milliseconds
(ms).  Under Red Hat Linux 7.2, ping now reports some times in microseconds (us
- now incorrectly abbreviated as usec).

It would be useful if there were a command line argument to specify which unit
should be used, particularly one which locked all output to milliseconds.  This
would be useful for existing scripts that expect output in milliseconds, and
also would be useful for scripted simple numeric comparisons.

ls and du both have similar options (--megabytes --kilobytes and so on).

If iputils is provided by a third-party, please let me know who it is so I can
raise the issue with them as well.

Version-Release number of selected component (if applicable):
iputils-20001110 (as standard with RH 7.2)

How reproducible:

Steps to Reproduce:
ping a TCP/IP connected host, and observe the output.  it may be necessary to
ping a host that's connected over a fast link to see "usec", for instance:
"ping localhost"

Additional info:
Comment 1 Phil Knirsch 2002-02-25 10:47:20 EST
I'm currently updating the iputils package to the latest released version, but i
suspect this is an upstream problem (incompatible change by the maintainers), so
this would probably need to be changed there.

Read ya, Phil
Comment 2 Phil Knirsch 2002-03-12 08:44:04 EST
OK, update fixed the problem, time reports are in ms again.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.